<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\VideoMessage;

use UnexpectedValueException;




class VideoSourceType
{
    


    const USER_VIDEO = 0;
    


    const AI_GENERATED = 1;

    private static $valueToName = [
        self::USER_VIDEO => 'USER_VIDEO',
        self::AI_GENERATED => 'AI_GENERATED',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

